## org.codehaus.groovy.grails.commons
Class CodecArtefactHandler

    java.lang.Object
      org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
          org.codehaus.groovy.grails.commons.CodecArtefactHandler

All Implemented Interfaces:
  ArtefactHandler

    public class CodecArtefactHandler

extends ArtefactHandlerAdapter

Author:
  Marc Palmer (marc@anyware.co.uk)

Field Summary
`static String` `TYPE`

Fields inherited from class org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
`log`

Constructor Summary
`CodecArtefactHandler()`

Method Summary
`boolean` `isArtefactClass(Class clazz)` Checks that class's name ends in the suffix specified for this handler.

Methods inherited from class org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
`getArtefactForFeature, getType, initialize, isArtefact, isArtefactGrailsClass, newArtefactClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

Constructor Detail

### CodecArtefactHandler

    public CodecArtefactHandler()

Method Detail

### isArtefactClass

    public boolean isArtefactClass(Class clazz)

  Description copied from class: `ArtefactHandlerAdapter`

  Checks that class's name ends in the suffix specified for this handler.

  Override for more complex criteria

  Overrides:
    `isArtefactClass` in class `ArtefactHandlerAdapter`
  Parameters:
    `clazz` - The class to check
  Returns:
    True if it is an artefact of this type

Copyright (c) 2005-2009 The Grails project